/* 
 *  OriginateRequest.java
 * 
 *  Copyright 2016 Avaya Inc. All Rights Reserved.
 * 
 *  Usage of this source is bound to the terms described
 *  in AvayaLicenseSDK.rtf.
 * 
 *  Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 *  or Avaya Policy
 * 
 */
package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.javafxrefclient.Logger;
import com.avaya.ccs.api.enums.ContactType;

public class OriginateVoiceCallRequest extends ResourceRequest {

    private static final Logger LOG = Logger.getLogger(OriginateVoiceCallRequest.class);
    private final String number;

    public OriginateVoiceCallRequest(String resourceID, String number) {
        super(LOG, resourceID);
        this.number = number;
    }

    /**
     * The call method executes on the outgoingRequest thread
     *
     * @return
     * @throws Exception
     */
    @Override
    protected Object call() throws Exception {
        String methodName = "call() ";
        LOG.trace(methodName + "+");
        LOG.trace(methodName + "number = " + number);
        getResource().originateVoiceCall(number, ContactType.Voice);
        LOG.trace(methodName + "-");
        return null;
    }
}
